# ModelRisk.ViewRiskType (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Enum ModelRisk.ViewRiskType

- java.lang.Object
- - java.lang.Enum<ModelRisk.ViewRiskType>
  - - org.deidentifier.arx.gui.model.ModelRisk.ViewRiskType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModelRisk.ViewRiskType>
  Enclosing class:
    ModelRisk

      public static enum ModelRisk.ViewRiskType
      extends java.lang.Enum<ModelRisk.ViewRiskType>

  A enum for views

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTES`
    `CELL_BASED`
    `CLASSES_PLOT`
    `CLASSES_TABLE`
    `HIPAA_ATTRIBUTES`
    `OVERVIEW`
    `UNIQUES_ALL`
    `UNIQUES_DANKAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelRisk.ViewRiskType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModelRisk.ViewRiskType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSES_PLOT

          public static final ModelRisk.ViewRiskType CLASSES_PLOT

    - #### CLASSES_TABLE

          public static final ModelRisk.ViewRiskType CLASSES_TABLE

    - #### CELL_BASED

          public static final ModelRisk.ViewRiskType CELL_BASED

    - #### ATTRIBUTES

          public static final ModelRisk.ViewRiskType ATTRIBUTES

    - #### HIPAA_ATTRIBUTES

          public static final ModelRisk.ViewRiskType HIPAA_ATTRIBUTES

    - #### UNIQUES_DANKAR

          public static final ModelRisk.ViewRiskType UNIQUES_DANKAR

    - #### UNIQUES_ALL

          public static final ModelRisk.ViewRiskType UNIQUES_ALL

    - #### OVERVIEW

          public static final ModelRisk.ViewRiskType OVERVIEW

  - ### Method Detail

    - #### values

          public static ModelRisk.ViewRiskType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelRisk.ViewRiskType c : ModelRisk.ViewRiskType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelRisk.ViewRiskType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null